package com.supervision.vo.ask;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

@Data
public class ModifyPrimaryDiseaseInfoReqVO {

    @NotBlank(message = "初步诊断ID不能为空")
    private String id;

    private String patientDiseaseInfo;

    @ApiModelProperty("问诊ID列表")
    private List<String> askIdList;

    @ApiModelProperty("辅助检查ID列表")
    private List<String> ancillaryIdList;

    @ApiModelProperty("体格检查ID列表")
    private List<String> physicalIdList;
}
