package com.supervision.rasa.pojo.vo;

import cn.hutool.core.util.StrUtil;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import java.util.Date;

@Data
public class RasaCmdArgumentVo {

    private String fixedModelName;//fixed-model-name

    @ApiModelProperty(hidden = true)
    private String modelId;

    public void setFixedModelNameIfAbsent(){
        if (StrUtil.isEmpty(fixedModelName)){
            fixedModelName = String.valueOf(new Date().getTime()/1000);
        }
    }

}
