package com.supervision.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 预期诊断结果
 */
@Data
@ApiModel
public class ExpertDiagnosisResultResVO {

    @ApiModelProperty("正确的诊断结果(就是这个病历实际的病症)")
    private String diagnosis;

    @ApiModelProperty("用户诊断结果")
    private List<DiagnosisDiseaseResultNodeVO> userDiagnosisResult;

    @ApiModelProperty("预期诊断结果")
    private List<DiagnosisDiseaseResultNodeVO> expertDiagnosisResult;
}
